#pragma once
#include "basic.h"
#include <stb_image.h>
#include <glad/glad.h>
#include <GLFW/glfw3.h>

struct Texture {
  u32 texture = 0;
  s32 width = 0;
  s32 height = 0;
  s32 number_of_channels = 0;
  string name;
};

bool load_texture(Texture *texture, string filepath);
void bind_texture(Texture *texture);
void unbind_texture();
void cleanup_texture(Texture *texture);

